Subject: Re: [ANNOUNCE] GIT 1.5.3

From: Junio C Hamano <[email-masked]>
Date: Sun, 02 Sep 2007 15:13:09 -0700

Sean <[email-masked]> writes:

> On Sun, 02 Sep 2007 10:57:03 +0100
> "H. Peter Anvin" <[email-masked]> wrote:
>
>>  From the looks of it, there is still a git-p4, it just moved to contrib 
>> and uses fast-import, so removing its rpm package was probably broken in 
>> the first place.
> ...
> As an aside, when I sent the patch removing git-p4import from the spec
> file I mentioned that I had no way to test it and asked for testers.
> Git needs a spec file maintainer so that issues like this can be caught
> before release.  Without a maintainer, it should probably be demoted
> to contrib itself.

For majority of general public, I thought the spec file _I_
ship, along with RPM files _I_ build, are contrib status
already.  Don't distro people do their own RPM packages, instead
of using what I placed on k.org?

Assuming that we do not give the old git-p4import script
packaged in "git-p4 package", would the following patch be all
that is needed, or do we need other things in the spec file?

-- snipsnap clipcrap --

diff --git a/git.spec.in b/git.spec.in
index fe7b3d8..3d56e17 100644
--- a/git.spec.in
+++ b/git.spec.in
@@ -13,6 +13,7 @@ Source: 	http://kernel.org/pub/software/scm/git/%{name}-%{version}.tar.gz
 BuildRequires:	zlib-devel >= 1.2, openssl-devel, curl-devel, expat-devel  %{!?_without_docs:, xmlto, asciidoc > 6.0.3}
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 Requires:	git-core, git-svn, git-cvs, git-arch, git-email, gitk, git-gui, perl-Git
+Obsoletes:	git-p4
 
 %description
 Git is a fast, scalable, distributed revision control system with an